# Conditional build:
%bcond_without	gtk	# GTK+3 support
%bcond_without	qt	# Qt6 support
#
Summary:	Sound player with the WinAmp GUI, for GTK+3/Qt6
Summary(hu.UTF-8):	Zenelejátszó WinAmp-szerű felülettel GTK+3/Qt6-t használó rendszerekhez
Summary(pl.UTF-8):	Odtwarzacz dźwięku z interfejsem WinAmpa dla GTK+3/Qt6
Name:		audacious
Version:	4.4
Release:	1
License:	BSD
Group:		X11/Applications/Sound
Source0:	https://distfiles.audacious-media-player.org/%{name}-%{version}.tar.bz2
# Source0-md5:	812367242529db8ca0fb0fdb71ffc91f
URL:		https://audacious-media-player.org/
%if %{with qt}
BuildRequires:	Qt6Core-devel >= 6.0
BuildRequires:	Qt6Gui-devel >= 6.0
BuildRequires:	Qt6Svg-devel >= 6.0
BuildRequires:	Qt6Widgets-devel >= 6.0
BuildRequires:	Qt6Widgets-devel >= 6.0
BuildRequires:	qt6-build >= 6.0
%endif
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.18.1
BuildRequires:	glib2-devel >= 1:2.32
%{?with_gtk:BuildRequires:	gtk+3-devel >= 3.22}
BuildRequires:	libguess-devel >= 1.2
# -std=gnu++11 is minimum, -std=gnu++17 preferred
BuildRequires:	libstdc++-devel >= 6:4.7
%{?with_gtk:BuildRequires:	pango-devel >= 1:1.20}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	sed >= 4.0
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-libs = %{version}-%{release}
Requires:	audacious-output-plugin
Suggests:	audacious-general-gtkui = %{version}-%{release}
Suggests:	audacious-general-qtui = %{version}-%{release}
Obsoletes:	audacious-container-mms < 1.4
Obsoletes:	audacious-container-stdio < 1.4
Obsoletes:	audacious-effect-mixdown < 3.1
Obsoletes:	audacious-general-curl < 1.4
Obsoletes:	audacious-general-evdev < 3.0
Obsoletes:	audacious-general-gnomeshortcuts < 3.10
Obsoletes:	audacious-general-mtp_up < 3.3
Obsoletes:	audacious-general-streambrowser < 3.0
Obsoletes:	audacious-general-vfstrace < 2.4
Obsoletes:	audacious-input-alac < 2.3
Obsoletes:	audacious-input-cube < 1.4
Obsoletes:	audacious-input-demac < 2.3
Obsoletes:	audacious-input-sap < 1.4
Obsoletes:	audacious-input-timidity < 2.3
Obsoletes:	audacious-input-tta < 2.3
Obsoletes:	audacious-input-wma < 2.3
Obsoletes:	audacious-output-OSS < 0.1.1-1
Obsoletes:	audacious-output-disk < 1.4
Obsoletes:	audacious-output-icecast < 2.4
Obsoletes:	audacious-output-lame < 1.4
Obsoletes:	audacious-output-null < 3.3
Obsoletes:	audacious-static < 1.2
Obsoletes:	audacious-transport-curl < 1.4
Obsoletes:	audacious-transport-lastfm < 2.3
Obsoletes:	audacious-transport-unix_io < 3.6
Obsoletes:	audacious-visualization-iris < 1.4
Obsoletes:	audacious-visualization-libvisual-proxy < 1.1
Obsoletes:	audacious-visualization-moodbar < 3.1
Obsoletes:	audacious-visualization-paranormal < 3.0
Obsoletes:	audacious-visualization-projectM < 3.0
Obsoletes:	audacious-visualization-rocklight < 3.1
Obsoletes:	audacious-visualization-rootvis < 2.1
Obsoletes:	audacious-visualization-rovascope < 1.4
Obsoletes:	audacious-visualization-spectrum < 3.0
Obsoletes:	beep-media-player < 1
Obsoletes:	bmp < 1
Obsoletes:	bmp-visualization-minilcd < 1
Obsoletes:	bmp-visualization-wmdiscotux < 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audacious is a media player based on BMP. Since the development of the
former project had been terminated, this fork was created.

%description -l hu.UTF-8
Audacious egy BMP-n alapuló médialejátszó. Amióta a kiinduló projekt
fejlesztése abbamaradt, ez a leszármazott létrejött.

%description -l pl.UTF-8
Audacious to odtwarzacz mediów oparty na BMP. Powstał on ponieważ
rozwój pierwowzoru został zakończony.

%package libs
Summary:	Audacious media player libraries
Summary(hu.UTF-8):	Audacious médialejátszó könyvtár
Summary(pl.UTF-8):	Biblioteki odtwarzacza multimedialnego Audacious
Group:		Libraries
%{?with_qt:Requires:	Qt6Core >= 6.0}
Requires:	glib2 >= 1:2.32
Requires:	libguess >= 1.2
Obsoletes:	beep-media-player-libs < 1
Obsoletes:	bmp-libs < 1

%description libs
Audacious media player libraries.

%description libs -l hu.UTF-8
Audacious médialejátszó könyvtár.

%description libs -l pl.UTF-8
Biblioteki odtwarzacza multimedialnego Audacious.

%package devel
Summary:	Header files for Audacious media player
Summary(hu.UTF-8):	Az audacious fejlécfájljai
Summary(pl.UTF-8):	Pliki nagłówkowe odtwarzacza multimedialnego Audacious
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32
Obsoletes:	beep-media-player-devel < 1
Obsoletes:	beep-media-player-static < 1
Obsoletes:	bmp-devel < 1
Obsoletes:	bmp-static < 1

%description devel
Header files required for compiling Audacious media player plugins.

%description devel -l hu.UTF-8
Az audacious fejlécfájljai.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania wtyczek odtwarzacza
multimedialnego Audacious.

%package libs-gtk
Summary:	Audacious GTK+ GUI library
Summary(pl.UTF-8):	Biblioteka graficznego interfejsu GTK+ odtwarzacza multimedialnego Audacious
Group:		X11/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+3 >= 3.22
Requires:	pango >= 1:1.20

%description libs-gtk
Audacious GTK+ GUI library.

%description libs-gtk -l pl.UTF-8
Biblioteka graficznego interfejsu GTK+ odtwarzacza multimedialnego
Audacious.

%package libs-gtk-devel
Summary:	Header files for Audacious GTK+ GUI library
Summary(pl.UTF-8):	Pliki nagłówkowe graficznego interfejsu GTK+ odtwarzacza multimedialnego Audacious
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-libs-gtk = %{version}-%{release}
Requires:	gtk+2-devel >= 3.22
Requires:	pango-devel >= 1:1.20

%description libs-gtk-devel
Header files for Audacious GTK+ GUI library.

%description libs-gtk-devel -l pl.UTF-8
Pliki nagłówkowe graficznego interfejsu GTK+ odtwarzacza
multimedialnego Audacious.

%package libs-qt
Summary:	Audacious Qt GUI library
Summary(pl.UTF-8):	Biblioteka graficznego interfejsu Qt odtwarzacza multimedialnego Audacious
Group:		X11/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	Qt6Gui >= 6.0
Requires:	Qt6Widgets >= 6.0

%description libs-qt
Audacious Qt GUI library.

%description libs-qt -l pl.UTF-8
Biblioteka graficznego interfejsu Qt odtwarzacza multimedialnego
Audacious.

%package libs-qt-devel
Summary:	Header files for Audacious Qt GUI library
Summary(pl.UTF-8):	Pliki nagłówkowe graficznego interfejsu Qt odtwarzacza multimedialnego Audacious
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-libs-qt = %{version}-%{release}
Requires:	Qt6Gui-devel >= 6.0
Requires:	Qt6Widgets-devel >= 6.0

%description libs-qt-devel
Header files for Audacious Qt GUI library.

%description libs-qt-devel -l pl.UTF-8
Pliki nagłówkowe graficznego interfejsu Qt odtwarzacza multimedialnego
Audacious.

%prep
%setup -q

# verbose build
%{__sed} -i -e '/^\.SILENT:/d' -e '/MAKE/ s/ -s / /' buildsys.mk.in

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%configure \
	%{!?with_gtk:--disable-gtk} \
	%{!?with_qt:--disable-qt}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/{Container,Effect,General,Input,Output,Transport,Visualization}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/audacious/{AUTHORS,COPYING}
%{__rm} $RPM_BUILD_ROOT%{_desktopdir}/audacious.desktop
%{__mv} $RPM_BUILD_ROOT%{_localedir}/fa{_IR,}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/id{_ID,}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/ml{_IN,}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/pt{_PT,}
# outdated version of sr
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/sr_RS

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e << EOF
Remember to install appropriate input plugins for files
you want to play!

From version 4.0 audacious by default uses QT interface.
To use audacious with GTK interface, run: audacious -G.

EOF

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	libs-gtk -p /sbin/ldconfig
%postun	libs-gtk -p /sbin/ldconfig

%post	libs-qt -p /sbin/ldconfig
%postun	libs-qt -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING
%attr(755,root,root) %{_bindir}/audacious
%attr(755,root,root) %{_bindir}/audtool
%{_mandir}/man1/audacious.1*
%{_mandir}/man1/audtool.1*
%dir %{_datadir}/audacious
%{_iconsdir}/hicolor/*/apps/audacious.*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudcore.so.5
%attr(755,root,root) %{_libdir}/libaudtag.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudtag.so.3
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/Container
%dir %{_libdir}/%{name}/Effect
%dir %{_libdir}/%{name}/General
%dir %{_libdir}/%{name}/Input
%dir %{_libdir}/%{name}/Output
%dir %{_libdir}/%{name}/Transport
%dir %{_libdir}/%{name}/Visualization

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudcore.so
%attr(755,root,root) %{_libdir}/libaudtag.so
%{_includedir}/audacious
%{_includedir}/libaudcore
%{_pkgconfigdir}/audacious.pc

%if %{with gtk}
%files libs-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudgui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudgui.so.6

%files libs-gtk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudgui.so
%{_includedir}/libaudgui
%endif

%if %{with qt}
%files libs-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudqt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudqt.so.3

%files libs-qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudqt.so
%{_includedir}/libaudqt
%endif
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/audacious.git;a=log;h=master

* Sun Jun 30 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3e8c6ca
- release 1

* Sun Jun 30 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2131b92
- up to 4.4, rel 0.1

* Tue May 02 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2680e47
- up to 4.3.1

* Wed Mar 08 2023 Jakub Bogusz <qboosh@pld-linux.org> fc4f685
- updated dependencies

* Wed Mar 08 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> afc2f46
- up to 4.3

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> f7b2c68
- updated verbose build hack; BR cleanup

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> ebbd561
- unify fa_IR locale dir instead of removing

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> c9c1f50
- -output-oss Obsoletes moved to -output-alsa

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> ce8265c
- versioned bmp/beep-media-player Obsoletes

* Mon Jul 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 9fdd36f
- versioned Obsoletes: audadious*; some moved to replacement packages

* Mon Jul 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 6099f24
- updated URLs

* Mon Jul 11 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5e1e836
- unsupported locale

* Mon Jul 11 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c5db712
- up to 4.2

* Sat Feb 06 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d94b41f
- up to 4.1

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> 87cb34d
- up to 4.0.5

* Thu Aug 09 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6db1aac
- up to 3.10

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b3e826
- up to 3.9

* Tue May 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 2b558e0
- separated -libs-gtk*,-libs-qt*
- release 2

* Tue Feb 14 2017 Jan Rękorajski <baggins@pld-linux.org> 0797ffd
- up to 3.8.2

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> da9e139
- updated to 3.6.2

